.TH HG IDENTIFY  "" "" ""
.SH NAME
hg identify \- identify the working directory or specified revision
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg identify [\-nibtB] [\-r REV] [SOURCE]
.ft P
.fi
.SH DESCRIPTION
.sp
Print a summary identifying the repository state at REV using one or
two parent hash identifiers, followed by a "+" if the working
directory has uncommitted changes, the branch name (if not default),
a list of tags, and a list of bookmarks.
.sp
When REV is not given, print a summary of the current state of the
repository including the working directory. Specify \-r. to get information
of the working directory parent without scanning uncommitted changes.
.sp
Specifying a path to a repository root or Mercurial bundle will
cause lookup to operate on that repository/bundle.
.sp
Template:
.sp
The following keywords are supported in addition to the common template
keywords and functions. See also \%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B dirty
.
String. Character \fB+\fP denoting if the working directory has
uncommitted changes.
.TP
.B id
.
String. One or two nodes, optionally followed by \fB+\fP.
.TP
.B parents
.
List of strings. Parent nodes of the changeset.
.UNINDENT
.sp
Examples:
.INDENT 0.0
.IP \(bu 2
.
generate a build identifier for the working directory:
.sp
.nf
.ft C
hg id \-\-id > build\-id.dat
.ft P
.fi
.IP \(bu 2
.
find the revision corresponding to a tag:
.sp
.nf
.ft C
hg id \-n \-r 1.3
.ft P
.fi
.IP \(bu 2
.
check the most recent revision of a remote repository:
.sp
.nf
.ft C
hg id \-r tip https://www.mercurial\-scm.org/repo/hg/
.ft P
.fi
.UNINDENT
.sp
See \%\fBhg log\fP\: for generating more information about specific revisions,
including full hash identifiers.
.sp
Returns 0 if successful.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-r,  \-\-rev \ <REV>
.
identify the specified revision
.TP
.B \-n,  \-\-num
.
show local revision number
.TP
.B \-i,  \-\-id
.
show global revision id
.TP
.B \-b,  \-\-branch
.
show branch
.TP
.B \-t,  \-\-tags
.
show tags
.TP
.B \-B,  \-\-bookmarks
.
show bookmarks
.TP
.BI \-e,  \-\-ssh \ <CMD>
.
specify ssh command to use
.TP
.BI \-\-remotecmd \ <CMD>
.
specify hg command to run on the remote side
.TP
.B \-\-insecure
.
do not verify server certificate (ignoring web.cacerts config)
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.SH ALIASES
.sp
.nf
.ft C
id
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
